# 64.2. Built-in Operator Classes

The core PostgreSQL distribution includes the GiST operator classes shown in [Table 64.1](https://www.postgresql.org/docs/12/gist-builtin-opclasses.html#GIST-BUILTIN-OPCLASSES-TABLE). (Some of the optional modules described in [Appendix F](https://www.postgresql.org/docs/12/contrib.html) provide additional GiST operator classes.)

#### **Table 64.1. Built-in GiST Operator Classes**

| Name           | Indexed Data Type | Indexable Operators                                                         | Ordering Operators |
| -------------- | ----------------- | --------------------------------------------------------------------------- | ------------------ |
| `box_ops`      | `box`             | `&&` `&>` `&<` `&<\|` `>>` `<<` `<<\|` `<@` `@>` `@` `\|&>` `\|>>` `~` `~=` |                    |
| `circle_ops`   | `circle`          | `&&` `&>` `&<` `&<\|` `>>` `<<` `<<\|` `<@` `@>` `@` `\|&>` `\|>>` `~` `~=` | `<->`              |
| `inet_ops`     | `inet`, `cidr`    | `&&` `>>` `>>=` `>` `>=` `<>` `<<` `<<=` `<` `<=` `=`                       |                    |
| `point_ops`    | `point`           | `>>` `>^` `<<` `<@` `<@` `<@` `<^` `~=`                                     | `<->`              |
| `poly_ops`     | `polygon`         | `&&` `&>` `&<` `&<\|` `>>` `<<` `<<\|` `<@` `@>` `@` `\|&>` `\|>>` `~` `~=` | `<->`              |
| `range_ops`    | any range type    | `&&` `&>` `&<` `>>` `<<` `<@` `-\|-` `=` `@>` `@>`                          |                    |
| `tsquery_ops`  | `tsquery`         | `<@` `@>`                                                                   |                    |
| `tsvector_ops` | `tsvector`        | `@@`                                                                        |                    |

For historical reasons, the `inet_ops` operator class is not the default class for types `inet` and `cidr`. To use it, mention the class name in `CREATE INDEX`, for example

```
CREATE INDEX ON my_table USING GIST (my_inet_column inet_ops);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/internals/gist-indexes/built-in-operator-classes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
